Debian Bug report logs - #326918
dialog segfaults when multiple widgets are used without --separate-widget

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Jerome Petazzoni <jp@enix.org>

Date: Tue, 6 Sep 2005 15:33:04 UTC

Severity: normal

Found in version dialog/1.0-20050306-1

Fixed in version dialog/1.0-20050911-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#326918; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Jerome Petazzoni <jp@enix.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome Petazzoni <jp@enix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog segfaults when multiple widgets are used without --separate-widget
Date: Tue, 06 Sep 2005 17:30:07 +0200
Package: dialog
Version: 1.0-20050306-1
Severity: normal


Run, for instance :
dialog --inputbox "Media ID" 6 60 --inputbox "Media title" 6 60

It will segfault after the 2nd entry.

Adding "--separate-widget foo" fill fix the problem.
It seems that the value dialog_state.separate_str is not initialized
(or should be handled differently when it's NULL) :

Program received signal SIGSEGV, Segmentation fault.qqqqqqqqqqqqqqqj x  
0xb7e4d053 in strlen () from /lib/tls/libc.so.6qqqqqqqqqqqqqqqqqqqqqqj  
(gdb) bt                                                                
#0  0xb7e4d053 in strlen () from /lib/tls/libc.so.6
#1  0xb7e36ed8 in fputs () from /lib/tls/libc.so.6
#2  0x0804a9eb in show_result (ret=0) at dialog.c:600
#3  0x0804c0cb in main (argc=24, argv=0x8061958) at dialog.c:1419
(gdb) up
#1  0xb7e36ed8 in fputs () from /lib/tls/libc.so.6
(gdb) up
#2  0x0804a9eb in show_result (ret=0) at dialog.c:600
600                 fputs(dialog_state.separate_str, dialog_state.output);
(gdb) p dialog_state.separate_str
$1 = 0x0

I will use --separate-widget meanwhile :-)

Best regards

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.3
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages dialog depends on:
ii  debianutils                   2.8.4      Miscellaneous utilities specific t
ii  libc6                         2.3.5-4    GNU C Library: Shared libraries an
ii  libncursesw5                  5.4-4      Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jerome Petazzoni <jp@enix.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 326918-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 326918-close@bugs.debian.org
Subject: Bug#326918: fixed in dialog 1.0-20050911-1
Date: Mon, 12 Sep 2005 07:02:05 -0700
Source: dialog
Source-Version: 1.0-20050911-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20050911-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20050911-1.diff.gz
dialog_1.0-20050911-1.dsc
  to pool/main/d/dialog/dialog_1.0-20050911-1.dsc
dialog_1.0-20050911-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20050911-1_powerpc.deb
dialog_1.0-20050911.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20050911.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326918@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Sep 2005 15:18:50 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20050911-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 298882 305705 312622 326918
Changes: 
 dialog (1.0-20050911-1) unstable; urgency=low
 .
   * New upstream release.
   - Added Large File Support (Closes: #298882).
   - The gauge widget now handles SIGWINCH (Closes: #305705).
   - Updated translations (Closes: #312622).
   - Fixed segfault problem when using multiple widgets (Closes: #326918).
Files: 
 00f5ca20f7b0633b3fae352f54903ae0 593 misc optional dialog_1.0-20050911-1.dsc
 fb7e646552bf870e5fe17d60c1fac380 307686 misc optional dialog_1.0-20050911.orig.tar.gz
 d0a099837b996f6fa3c49c4cce62e747 7896 misc optional dialog_1.0-20050911-1.diff.gz
 f143391490c64d1a8b6206d9e2f58113 207362 misc optional dialog_1.0-20050911-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJYWUd9Uuvj7yPNYRAppTAJ91PH8H5hvTIth59JzcJ38uY/kpVwCbBQhZ
Y8hDvCFHeBxI7qkgHgZ8a+E=
=0kmK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:40:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:23:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.